Subject: SAP/SDP lifetimes

From: Tom Pusateri <[email-masked]>
Date: Fri, 06 Jun 1997 14:22:37 -0400

After having recently implemented listen-only versions of SAP and SDP
from the latest drafts, I'm wondering if there shouldn't be an easier way
for listen-only implementations to time-out announcements.

I can understand that if your implementation also originates annoucements,
that you need to know the bandwidth being consumed by each TTL scope.
However, this is more work than necessary for a listen-only implementation.

Since the originator knows the announcement period when it sends
the annoucement, I think it would make things much simpler if we could
add this field to the annoucement. If each annoucement would include
the lifetime of the annoucement, then we could get rid of a lot of
the guess work in when to timeout an annoucement and listen-only
implementations wouldn't have to keep statistics to determine what
this annoucement period is.

Thanks,
Tom